# Define linker flags here, like: -lsqlite3 -lpthread
LDLIBS := -lscterm

# Dir name becomes product name.
PROJ := $(shell basename $$(pwd))

# find out what platform we're on, e.g. darwin, linux, openbsd.
UNAME_S := $(shell uname -s)

# We will build a library, not a tool.
PRODUCT := lib

# Single source of truth for version.
MAJOR := 1
MINOR := 1
PATCH := 0

# Specify desired C++ standard for this project.
CXXFLAGS += -std=c++20

# Set to 1 if you want a precompiled header for the C++ Standard Library.
PRECOMPILE := 0

# Set to 0 if you want to create a library header by hand.
# By default, it will concatenate all headers, leaving out
# lines containing: @exclude
GENERATELIBHEADER := 1

# List of extra files to be installed in DATADIR (/usr/local/share/$(PROJ) by default)
DATAFILES :=

# Define plugin sub-projects here. Assumption here is a directory "plugins"
# containing plugin sub-projects, each in its own directory.
# Rename and/or repeat accordingly.
PLUGINS := $(wildcard plugins/*)
MAKE += --no-print-directory
